QGIS Application - Feature request #1457
key combos, mouse actions and commands for GRASS shell
2008-12-14 10:36 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 11517
Description

1. Support key combos (alike xterm, gnome-terminal etc.):

a) home, end - the start and the end of the line

b) ctrl+arrow left/right AND alt+f/b - jump one word

2. Enable 'clear' and 'reset' command for, respectively, erasing currently visible lines and all of them in the current session.

3. Enable 'paste' command under mouse right click.

History

#1 - 2009-04-28 12:30 AM - Paolo Cavallini

Fixed in commit:73e86da0 (SVN r10666) on *nix, OSX and minGW. Still to be solved for MSVC.

#2 - 2009-06-26 11:03 PM - Paolo Cavallini
- Resolution set to fixed
- Status changed from Open to Closed

#3 - 2009-08-12 12:16 AM - Paolo Cavallini
- Status changed from Closed to Feedback
- Resolution deleted (fixed)

#4 - 2009-08-12 12:17 AM - Paolo Cavallini
- Status changed from Feedback to Open

#5 - 2009-08-12 12:17 AM - Paolo Cavallini

- Resolution set to fixed
- Status changed from Open to Closed
